> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soyab.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# monsters



## OpenAPI

````yaml cherrytree/openapi.json get /monsters
openapi: 3.1.0
info:
  title: CherryTree API
  description: An API created by decompiling the CherryTree Android App
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cherrytree.soyab.uk
security: []
paths:
  /monsters:
    get:
      summary: monsters
      responses:
        '200':
          description: 200 Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Monsters'
components:
  schemas:
    Monsters:
      type: object
      properties:
        total:
          type: number
        results:
          items:
            type: object
            properties:
              id:
                type: number
              name:
                type: string
              imageUrl:
                type: string
              isGod:
                type: boolean
              health:
                type: number
              attack:
                type: number
              strength:
                type: number
              defence:
                type: number
              combatLevel:
                type: number
              attackSpeedText:
                type: string
              attackSpeed:
                type: number
              slayerExp:
                type: number
              slayerLevel:
                type: number
              weakness:
                type: string
              area:
                type: string
              treasureScrollChance:
                type: number
              treasureScrollChanceWithWwMax:
                type: number
              treasureScrollChanceWithWwMaxAndBC72:
                type: number
              drops:
                type: array
                items:
                  type: object
                  properties:
                    dropId:
                      type: number
                    itemId:
                      type: number
                    name:
                      type: string
                    rarity:
                      type: string
                    min:
                      type: number
                    max:
                      type: number
                    baseChance:
                      type: number
                    luckChance:
                      type: number
                    extremeLuckChance:
                      type: number
                  required:
                    - dropId
                    - itemId
                    - name
                    - min
                    - max
                    - baseChance
                    - luckChance
                    - extremeLuckChance
            required:
              - id
              - name
              - imageUrl
              - isGod
              - health
              - attack
              - strength
              - defence
              - combatLevel
              - attackSpeedText
              - attackSpeed
              - slayerExp
              - slayerLevel
              - weakness
              - area
              - treasureScrollChance
              - treasureScrollChanceWithWwMax
              - treasureScrollChanceWithWwMaxAndBC72
              - drops
      required:
        - total
        - results

````